// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FSimpleMemberReference.h"
#include "EdGraph/EdGraphPin.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FSimpleMemberReference::SCW_FSimpleMemberReference(FSimpleMemberReference* InSimpleMemberReference) : SimpleMemberReference(InSimpleMemberReference)
{

}

bool SCW_FSimpleMemberReference::ISCW_Equals(ISCW_FSimpleMemberReferenceConstPtr Other) const
{
	return *SimpleMemberReference == *dynamic_cast<const SCW_FSimpleMemberReference*>(Other.get())->ToFSimpleMemberReference();
}

FSimpleMemberReference* SCW_FSimpleMemberReference::ToFSimpleMemberReference() const
{
	return SimpleMemberReference;
}

ISCW_FSimpleMemberReferencePtr SCW_FSimpleMemberReference::ToFSimpleMemberReferencePtr()
{
	return GetSharedThisAs<SCW_FSimpleMemberReference>();
}

ISCW_FSimpleMemberReferenceConstPtr SCW_FSimpleMemberReference::ToFSimpleMemberReferencePtr() const
{
	return GetSharedThisAs<SCW_FSimpleMemberReference>();
}